You are not logged in.

#1 2012-03-30 09:07:43

arxx.43
Member
Registered: 2011-06-05
Posts: 9

[SOLVED] Ruby - Problem updating rubygems

Hey,

i'm trying to update my rubygems. i'm running into this:


l$ gem update --system              
Updating rubygems-update
Fetching: rubygems-update-1.8.21.gem (100%)
WARNING:  You don't have $HOME/.gem/ruby/1.9.1/bin in your PATH,
	  gem executables will not run.
Successfully installed rubygems-update-1.8.21
ERROR:  While executing gem ... (Errno::ENOENT)
    No such file or directory - /usr/lib/ruby/gems/1.9.1/gems/rubygems-update-1.8.21

the update is installed to $HOME/.gem and shows up properly:

l$ gem list           

*** LOCAL GEMS ***

archive-tar-minitar (0.5.2)
bigdecimal (1.1.0)
io-console (0.3)
json (1.6.6, 1.5.4)
minitest (2.5.1)
rake (0.9.2.2 ruby)
rdoc (3.12, 3.9.4)
rubygems-update (1.8.21)

nevertheless, the gem version is:

l$ gem -v             
1.8.11

Updateing as root, adding $HOME/.gem/ruby/1.9.1/bin to path or creating the missing directory doesn't do the trick. In the latter case, the file setup.rb is missing, which obviously should be in the missing directory.
Do you have any ideas, what i'm missing?

Last edited by arxx.43 (2012-04-04 06:59:16)

Offline

#2 2012-03-30 19:39:57

avrelaun
Member
Registered: 2012-03-30
Posts: 7

Re: [SOLVED] Ruby - Problem updating rubygems

Same problem here.

Offline

#3 2012-04-02 13:12:09

monoself
Member
Registered: 2011-04-27
Posts: 1

Re: [SOLVED] Ruby - Problem updating rubygems

Perform a system-wide install for rubygems-update-1.8.21 first, if you have root access.

 % sudo gem update --system --no-user-install
Updating rubygems-update                                       
Fetching: rubygems-update-1.8.21.gem (100%)
Successfully installed rubygems-update-1.8.21
Installing RubyGems 1.8.21
RubyGems 1.8.21 installed

== 1.8.21 / 2012-03-22

* 2 bug fixes:

  * Add workaround for buggy yaml output from 1.9.2
  * Force 1.9.1 to remove it's prelude code. Fixes #305


------------------------------------------------------------------------------

RubyGems installed the following executables:
	/usr/bin/gem

RubyGems system software updated 

Offline

#4 2012-04-02 19:22:40

avrelaun
Member
Registered: 2012-03-30
Posts: 7

Re: [SOLVED] Ruby - Problem updating rubygems

It works, thanks !

Offline

#5 2012-04-04 06:58:05

arxx.43
Member
Registered: 2011-06-05
Posts: 9

Re: [SOLVED] Ruby - Problem updating rubygems

Worked like a charm! Thank you!

Offline

#6 2013-02-26 17:50:48

synthetic
Member
Registered: 2012-06-20
Posts: 16

Re: [SOLVED] Ruby - Problem updating rubygems

Sorry to raise the dead, but while monoself's advice worked (thanks!) and upgraded RubyGems to 2.0.0 on my system, running just

$ gem

barfed with Permission denied on /usr/lib/ruby/gems/1.9.1/specifications/rubygems-update-2.0.0.gemspec.

I got it to run again by doing

# chmod 755 /usr/lib/ruby/gems/1.9.1/specifications/rubygems-update-2.0.0.gemspec

.

Offline

Board footer

Powered by FluxBB